Bug 145791 - Session files scattered
Session files scattered
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2005-01-21 11:58 EST by Peter Backlund
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-06 10:46:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Backlund 2005-01-21 11:58:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
Desktop session files should be located in /usr/share/xsessions only. The file  /usr/share/xsessions/gnome.desktop should be owned by gnome-session instead of gdm for consistency with KDE and XFCE, and the files /etc/X11/dm/Sessions/gnome.desktop and /etc/X11/gdm/Sessions/GNOME should be removed completely (owned by gnome-session).

Version-Release number of selected component (if applicable):
gdm-2.6.0.5-6, gnome-session-2.8.0-4

How reproducible:
Always

Steps to Reproduce:
-  

Additional info:
Comment 1 Peter Backlund 2005-04-16 15:30:39 EDT
Still present in Rawhide 2005-04-16 :-(
Comment 2 Ray Strode [halfline] 2005-04-18 10:28:38 EDT
Hi Peter,

I'm going to put this on an FC4 Target tracker so that it doesn't get forgotton
about.
Comment 3 Ray Strode [halfline] 2005-04-19 15:33:05 EDT
So this should be fixed in tomorrow's rawhide, but I won't be able to test until
tomorrow.
Comment 4 Peter Backlund 2005-04-20 10:12:52 EDT
Looks good here, other than that /usr/share/xsessions is owned by both
filesystem and gnome-session.
Comment 5 Rahul Sundaram 2005-09-04 20:48:30 EDT
can reproduce the dual ownership issue as of today's rawhide
Comment 6 Ray Strode [halfline] 2005-09-06 10:46:49 EDT
should be fixed in tomorrow's rawhide.

Note You need to log in before you can comment on or make changes to this bug.